INTERFACE
SUBROUTINE AMV_GET_PREDS(kdlen,klen,kobstype, porog,&
 & presh5,presf5,pxp5,pxpd5,puf5,pvf5,ptf5,pqf5,po3f5,pclwf5,pciwf5,pccf5,&
 & ptstar5,pt05,plnpr5,palph5,plat,plon,pu,pv,pdp) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
USE yomdim , ONLY : nflevg, nppm
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KOBSTYPE
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXP5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PXPD5(KDLEN,0:NFLEVG,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PO3F5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLWF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCIWF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCCF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSTAR5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PT05(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KDLEN)
END SUBROUTINE amv_get_preds
END INTERFACE
